%define name	cacti
%define version	0.8.3
%define release	1mdk
%define webroot /var/www/html
%define webconf	%{_sysconfdir}/httpd/conf.d
%define order	71

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Cacti is a php frontend for rrdtool
License:	GPL
Group:		System/Servers
URL:		http://www.raxnet.net/products/cacti
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.cron.bz2
Source2:	%{name}.conf.bz2
Patch0:		%{name}.path.patch.bz2
Requires:	webserver
Requires:	mysqlserver
Requires:	mod_php
Requires:	php-cli
Requires:	php-gd
Requires:	php-mysql
Requires:	php-snmp
Requires:	php-xml
Requires:	net-snmp-utils
Requires:	net-snmp
Requires:	rrdtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
Cacti is a complete frondend to rrdtool, it stores all of the
nessesary information to create graphs and populate them with
data in a MySQL database.

The frontend is completely PHP driven. Along with being able
to maintain Graphs, Data Sources, and Round Robin Archives in
a database, cacti handles the data gathering also. There is
also SNMP support for those used to creating traffic graphs
with MRTG.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}.cron
bzcat %{SOURCE2} > %{name}.conf
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{webroot}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -d -m 755 $RPM_BUILD_ROOT%{webconf}
cp *.php $RPM_BUILD_ROOT%{webroot}/%{name}
cp -pr include $RPM_BUILD_ROOT%{webroot}/%{name}
cp -pr docs $RPM_BUILD_ROOT%{webroot}/%{name}
cp -pr images $RPM_BUILD_ROOT%{webroot}/%{name}
cp -pr install $RPM_BUILD_ROOT%{webroot}/%{name}
cp -pr scripts $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr resource $RPM_BUILD_ROOT%{webroot}/%{name}
install -m 644 *.sql $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 %{name}.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}
install -m 644 %{name}.conf $RPM_BUILD_ROOT%{webconf}/%{order}_%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
        /sbin/service httpd graceful
fi

%postun
if [ $1 -eq 0 ]; then
        /sbin/service httpd graceful
fi

%files
%defattr(-,root,root)
%doc LICENSE docs/CHANGELOG docs/CONTRIB docs/README
%{webroot}/%{name}
%{_datadir}/%{name}
%{_localstatedir}/%{name}
%{_var}/log/%{name}
%config(noreplace) %{webroot}/%{name}/include/config.php
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{webconf}/%{order}_%{name}.conf

%changelog
* Sat Aug 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.3-1mdk
- 0.8.3

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-4mdk
- added php-xml requires

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-3mdk
- oops, s/datadir/webroot/ - dedicated to resource directory again

* Sat Aug 2 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-2mdk
- added missing resource directory with xml templates

* Wed Jul 30 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-1mdk
- new version

* Fri Jun 06 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8-1mdk
- requires php-cli for cron task
- added cron task
- install in %{webroot}/%{name}, no need for intermediate admin dir
- only install needed files under %{webroot}/%{name}
- cleaned redundant requires
- cleaned spec file
- corrected url tag
- automatic apache integration

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-3mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-2mdk
- misc spec file fixes
- install in common and relocatable %%{webroot}/ directory

* Wed Sep 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-1mdk
- security release
- do not require non existant php extensions
- misc spec file fixes 

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8-1mdk
- initial cooker contrib
